Bug 235970 - Distorted sound in headphones on Lenovo ThinkPad T480 (Realteak ALC285 / Intel Kaby Lake)
Summary: Distorted sound in headphones on Lenovo ThinkPad T480 (Realteak ALC285 / Inte...
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 12.0-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-23 20:28 UTC by Mateusz Piotrowski
Modified: 2019-12-20 02:34 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2019-02-23 20:28:14 UTC
I've tried to use headphones on T480 but the sound is distorted. It is distorted with any application apparently (tested with VLC and Firefox) so it seems to be a system problem. The sound quality is awful. It is possible to hear that it is some music playing for example by the rhythm of the noise but it is not a particularly pleasant experience. ;) 

I'm on FreeBSD 13.0-CURRENT (r344237) amd64.

Output of "cat /dev/sndstat":

> Installed devices:
> pcm0: <Realtek (0x0257) (Analog 2.0+HP)> (play) default
> pcm1: <Intel Kabylake (HDMI/DP 8ch)> (play)
> No devices installed from userspace.

Potentially related parts of /var/log/messages with boot_verbose set to YES:

> [...]
> ACPI: RSDP 0x00000000AB5FE014 000024 (v02 LENOVO)
> ACPI: XSDT 0x00000000AB5AC188 00012C (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: FACP 0x00000000AB5E3000 0000F4 (v05 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: DSDT 0x00000000AB5BC000 022288 (v02 LENOVO SKL      00000000 INTL 20160527)
> ACPI: FACS 0x00000000AB53E000 000040
> ACPI: SSDT 0x00000000AB5E9000 0132C1 (v02 LENOVO DptfTabl 00001000 INTL 20160527)
> ACPI: UEFI 0x00000000AB554000 000042 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: SSDT 0x00000000AB5E5000 0030B0 (v02 LENOVO SaSsdt   00003000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5E4000 0005C6 (v02 LENOVO PerfTune 00001000 INTL 20160527)
> ACPI: HPET 0x00000000AB5E2000 000038 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: APIC 0x00000000AB5E1000 00012C (v03 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: MCFG 0x00000000AB5E0000 00003C (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: ECDT 0x00000000AB5DF000 000053 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: SSDT 0x00000000AB5BA000 001C9C (v02 LENOVO RVP7Rtd3 00001000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5B9000 00021C (v01 LENOVO Rmv_Batt 00001000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5B7000 00163C (v02 LENOVO ProjSsdt 00000010 INTL 20160527)
> ACPI: BOOT 0x00000000AB5B6000 000028 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: BATB 0x00000000AB5B5000 00004A (v02 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: SLIC 0x00000000AB5B4000 000176 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: SSDT 0x00000000AB5B2000 0017AE (v02 LENOVO CpuSsdt  00003000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5B1000 00056D (v02 LENOVO CtdpB    00001000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5B0000 000678 (v02 LENOVO UsbCTabl 00001000 INTL 20160527)
> ACPI: LPIT 0x00000000AB5AF000 000094 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: WSMT 0x00000000AB5AE000 000028 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: SSDT 0x00000000AB5AD000 0001D8 (v02 LENOVO HdaDsp   00000000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5FD000 0004FC (v02 LENOVO TbtTypeC 00000000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5AB000 0002D1 (v02 LENOVO Wwan     00000001 INTL 20160527)
> ACPI: DBGP 0x00000000AB5AA000 000034 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: DBG2 0x00000000AB5A9000 000054 (v00 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: MSDM 0x00000000AB5A8000 000055 (v03 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: SSDT 0x00000000AB5A7000 000024 (v01 LENOVO NvOptTbl 00001000 INTL 20160527)
> ACPI: SSDT 0x00000000AB5A5000 00170D (v02 LENOVO SgPch    00001000 INTL 20160527)
> ACPI: DMAR 0x00000000AB5A4000 0000CC (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: ASF! 0x00000000AB5A3000 0000A0 (v32 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: FPDT 0x00000000AB5A2000 000044 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: BGRT 0x00000000AB5A1000 000038 (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> ACPI: UEFI 0x00000000AB50A000 00013E (v01 LENOVO TP-N24   00001170 PTEC 00000002)
> [...]
> hdac0: <Intel Kabylake-LP HDA Controller> mem 0xf2248000-0xf224bfff,0xf2230000-0xf223ffff at device 31.3 on pci0
> hdac0: PCI card vendor: 0x17aa, device: 0x225d
> hdac0: HDA Driver Revision: 20120126_0002
> hdac0: Config options: on=0x00000000 off=0x00000000
> hdac0: attempting to allocate 1 MSI vectors (1 supported)
> msi: routing MSI IRQ 138 to local APIC 4 vector 52
> hdac0: using IRQ 138 for MSI
> hdac0: Caps: OSS 9, ISS 7, BSS 0, NSDO 1, 64bit, CORB 256, RIRB 256
> [...]
> hdacc0: <Realtek (0x0257) HDA CODEC> at cad 0 on hdac0
> hdaa0: <Realtek (0x0257) Audio Function Group> at nid 1 on hdacc0
> hdaa0: Subsystem ID: 0x17aa225d
> hdaa0: NumGPIO=3 NumGPO=0 NumGPI=0 GPIWake=0 GPIUnsol=1
> hdaa0:  GPIO0: disabled
> hdaa0:  GPIO1: disabled
> hdaa0:  GPIO2: disabled
> hdaa0: Original pins configuration:
> hdaa0: nid   0x    as seq device       conn  jack    loc        color   misc
> hdaa0: 18 411111f0 15 0  Speaker       None  1/8     Rear       Black   1
> hdaa0: 19 40000000 0  0  Line-out      None  Unknown 0x00       Unknown 0
> hdaa0: 20 90170110 1  0  Speaker       Fixed Analog  Internal   Unknown 1
> hdaa0: 24 411111f0 15 0  Speaker       None  1/8     Rear       Black   1
> hdaa0: 25 411111f0 15 0  Speaker       None  1/8     Rear       Black   1
> hdaa0: 26 411111f0 15 0  Speaker       None  1/8     Rear       Black   1
> hdaa0: 27 411111f0 15 0  Speaker       None  1/8     Rear       Black   1
> hdaa0: 29 40661b45 4  5  Modem-line    None  Digital 0x00       Black   11
> hdaa0: 30 411111f0 15 0  Speaker       None  1/8     Rear       Black   1
> hdaa0: 33 0421101f 1  15 Headphones    Jack  1/8     Right      Black   0
> hdaa0: Patching widget caps nid=29 0x00400400 -> 0x00700400
> hdaa0: Patched pins configuration:
> hdaa0: nid   0x    as seq device       conn  jack    loc        color   misc
> hdaa0: 18 411111f0 15 0  Speaker       None  1/8     Rear       Black   1 DISA
> hdaa0: 19 40000000 0  0  Line-out      None  Unknown 0x00       Unknown 0 DISA
> hdaa0: 20 90170110 1  0  Speaker       Fixed Analog  Internal   Unknown 1
> hdaa0: 24 411111f0 15 0  Speaker       None  1/8     Rear       Black   1 DISA
> hdaa0: 25 411111f0 15 0  Speaker       None  1/8     Rear       Black   1 DISA
> hdaa0: 26 411111f0 15 0  Speaker       None  1/8     Rear       Black   1 DISA
> hdaa0: 27 411111f0 15 0  Speaker       None  1/8     Rear       Black   1 DISA
> hdaa0: 30 411111f0 15 0  Speaker       None  1/8     Rear       Black   1 DISA
> hdaa0: 33 0421101f 1  15 Headphones    Jack  1/8     Right      Black   0
> hdaa0: 1 associations found:
> hdaa0: Association 0 (1) out:
> hdaa0:  Pin nid=20 seq=0
> hdaa0:  Pin nid=33 seq=15
> hdaa0: Tracing association 0 (1)
> hdaa0:  Pin 20 traced to DAC 2
> hdaa0:  Pin 33 traced to DAC 2 and hpredir 0
> hdaa0: Association 0 (1) trace succeeded
> hdaa0: Looking for additional DAC for association 0 (1)
> hdaa0: Tracing input monitor
> hdaa0: Tracing other input monitors
> hdaa0: Tracing beeper
> hdaa0: Headphones redirection for association 0 nid=33 using unsolicited responses.
> hdaa0: Redirect output to: main
> hdaa0: FG config/quirks: forcestereo ivref50 ivref80 ivref100 ivref
> pcm0: <Realtek (0x0257) (Analog 2.0+HP)> at nid 20,33 on hdaa0
> pcm0: Playback:
> pcm0:      Stream cap: 0x00000001 PCM
> pcm0:         PCM cap: 0x000e0060 16 20 24 bits, 44 48 KHz
> pcm0:             DAC: 2
> pcm0:
> pcm0:     nid=20 [pin: Speaker (Fixed)]
> pcm0:       + <- nid=2 [audio output] [src: pcm]
> pcm0:
> pcm0:     nid=33 [pin: Headphones (Black Jack)]
> pcm0:       + <- nid=2 [audio output] [src: pcm]
> pcm0:
> pcm0: Master Volume (OSS: vol): -65/0dB
> pcm0:    +- ctl  1 (nid   2 out):    -65/0dB (88 steps)
> pcm0:    +- ctl  8 (nid  20 in ):    mute
> pcm0:    +- ctl 14 (nid  33 in ):    mute
> pcm0:
> pcm0: PCM Volume (OSS: pcm): -65/0dB
> pcm0:    +- ctl  1 (nid   2 out):    -65/0dB (88 steps)
> pcm0:    +- ctl  8 (nid  20 in ):    mute
> pcm0:    +- ctl 14 (nid  33 in ):    mute
> pcm0:
> pcm0: Mixer "vol":
> pcm0: Mixer "pcm":
> pcm0: Mixer "ogain":
> pcm0: Playback channel set is: Front Left, Front Right,
> pcm0: Playback channel matrix is: 2.0 (unknown)
> hdacc1: <Intel Kabylake HDA CODEC> at cad 2 on hdac0
> hdaa1: <Intel Kabylake Audio Function Group> at nid 1 on hdacc1
> hdaa1: Subsystem ID: 0x80860101
> hdaa1: NumGPIO=0 NumGPO=0 NumGPI=0 GPIWake=0 GPIUnsol=0
> hdaa1: Original pins configuration:
> hdaa1: nid   0x    as seq device       conn  jack    loc        color   misc
> hdaa1:  3 18560010 1  0  Digital-out   Jack  Digital 0x18       Unknown 0
> hdaa1: Patched pins configuration:
> hdaa1: nid   0x    as seq device       conn  jack    loc        color   misc
> hdaa1:  3 18560010 1  0  Digital-out   Jack  Digital 0x18       Unknown 0
> hdaa1: 1 associations found:
> hdaa1: Association 0 (1) out:
> hdaa1:  Pin nid=3 seq=0
> hdaa1: Tracing association 0 (1)
> hdaa1:  Pin 3 traced to DAC 2
> hdaa1: Association 0 (1) trace succeeded
> hdaa1: Looking for additional DAC for association 0 (1)
> hdaa1: Tracing input monitor
> hdaa1: Tracing other input monitors
> hdaa1: Tracing beeper
> hdaa1: FG config/quirks: forcestereo ivref50 ivref80 ivref100 ivref
> pcm1: <Intel Kabylake (HDMI/DP 8ch)> at nid 3 on hdaa1
> pcm1: Playback:
> pcm1:      Stream cap: 0x00000005 AC3 PCM
> pcm1:         PCM cap: 0x001a07f0 16 24 32 bits, 32 44 48 88 96 176 192 KHz
> pcm1:             DAC: 2
> pcm1:
> pcm1:     nid=3 [pin: Digital-out (Jack)]
> pcm1:       + <- nid=2 [audio output] [src: pcm]
> pcm1:
> pcm1: Master Volume (OSS: vol): 0/0dB
> pcm1:    +- ctl  1 (nid   3 in ):    mute
> pcm1:
> pcm1: PCM Volume (OSS: pcm): 0/0dB
> pcm1:    +- ctl  1 (nid   3 in ):    mute
> pcm1:
> pcm1: Mixer "vol":
> pcm1: Mixer "pcm":
> pcm1: Soft PCM mixer ENABLED
> pcm1: Playback channel matrix is: unknown, assuming 7.1 (disconnected)
> [...]

Output of "pciconf -lv | grep -i audio -B 2 -A 2":

> hdac0@pci0:0:31:3:      class=0x040300 card=0x225d17aa chip=0x9d718086 rev=0x21 hdr=0x00
>     vendor     = 'Intel Corporation'
>     device     = 'Sunrise Point-LP HD Audio'
>     class      = multimedia
>     subclass   = HDA
Comment 1 Mateusz Piotrowski freebsd_committer 2019-02-23 20:33:57 UTC
Output of "sysctl dev.hdaa.0":

> dev.hdaa.0.reconfig: 0
> dev.hdaa.0.gpo_config: 
> dev.hdaa.0.gpo_state: 
> dev.hdaa.0.gpio_config: 0=keep 1=keep 2=keep
> dev.hdaa.0.gpio_state: 0=input(1) 1=input(1) 2=input(0)
> dev.hdaa.0.gpi_state: 
> dev.hdaa.0.config: forcestereo,ivref50,ivref80,ivref100,ovref50,ovref80,ovref100,ivref,ovref,vref
> dev.hdaa.0.nid36: audio selector [DISABLED]
>      Widget cap: 0x00300101 STEREO
>     Connections: 2
>           + [DISABLED] <- nid=18 [pin: Speaker (None)] [DISABLED] (selected)
>           + [DISABLED] <- nid=19 [pin: Line-out (None)] [DISABLED]
> 
> dev.hdaa.0.nid35: audio mixer [DISABLED]
>      Widget cap: 0x0020010b STEREO
>       Input amp: 0x80000000 mute=1 step=0 size=0 offset=0 (0/0dB)
>     Connections: 6
>           + [DISABLED] <- nid=24 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=25 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=26 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=27 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=29 [beep widget]
>           + [DISABLED] <- nid=18 [pin: Speaker (None)] [DISABLED]
> 
> dev.hdaa.0.nid34: audio mixer [DISABLED]
>      Widget cap: 0x0020010b STEREO
>       Input amp: 0x80000000 mute=1 step=0 size=0 offset=0 (0/0dB)
>     Connections: 6
>           + [DISABLED] <- nid=24 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=25 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=26 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=27 [pin: Speaker (None)] [DISABLED]
>           + [DISABLED] <- nid=29 [beep widget]
>           + [DISABLED] <- nid=19 [pin: Line-out (None)] [DISABLED]
> 
> dev.hdaa.0.nid33_original: 0x0421101f as=1 seq=15 device=Headphones conn=Jack ctype=1/8 loc=Right color=Black misc=0
> dev.hdaa.0.nid33_config: 0x0421101f as=1 seq=15 device=Headphones conn=Jack ctype=1/8 loc=Right color=Black misc=0
> dev.hdaa.0.nid33: pin: Headphones (Black Jack)
>      Widget cap: 0x0040058d PWR UNSOL STEREO
>     Association: 0 (0x8000)
>         Pin cap: 0x0001001c PDC HP OUT EAPD
>      Pin config: 0x0421101f as=1 seq=15 device=Headphones conn=Jack ctype=1/8 loc=Right color=Black misc=0
>     Pin control: 0x000000c0 HP OUT
>            EAPD: 0x00000002 EAPD
>      Output amp: 0x80000000 mute=1 step=0 size=0 offset=0 (0/0dB)
>     Connections: 2
>           + <- nid=2 [audio output] (selected)
>           + [DISABLED] <- nid=3 [audio output] [DISABLED]
> 
> dev.hdaa.0.nid32: vendor widget [DISABLED]
>      Widget cap: 0x00f00040 PROC
> 
> dev.hdaa.0.nid31: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid30_original: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid30_config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid30: pin: Speaker (None) [DISABLED]
>      Widget cap: 0x00400781 PWR DIGITAL UNSOL STEREO
>         Pin cap: 0x00000014 PDC OUT
>      Pin config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
>     Pin control: 0x00000000
>     Connections: 1
>           + <- nid=6 [audio output] [DISABLED]
> 
> dev.hdaa.0.nid29_original: 0x40661b45 as=4 seq=5 device=Modem-line conn=None ctype=Digital loc=0x00 color=Black misc=11
> dev.hdaa.0.nid29_config: 0x40661b45 as=4 seq=5 device=Modem-line conn=None ctype=Digital loc=0x00 color=Black misc=11
> dev.hdaa.0.nid29: beep widget
>      Widget cap: 0x00700400 PWR
>     Association: -2 (0x0000)
>             OSS: speaker (speaker)
>         Pin cap: 0x00000020 IN
>      Pin config: 0x40661b45 as=4 seq=5 device=Modem-line conn=None ctype=Digital loc=0x00 color=Black misc=11
>     Pin control: 0x00000020 IN
> 
> dev.hdaa.0.nid28: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid27_original: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid27_config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid27: pin: Speaker (None) [DISABLED]
>      Widget cap: 0x0040058f PWR UNSOL STEREO
>         Pin cap: 0x00013734 PDC OUT IN VREF[ 50 80 100 GROUND HIZ ] EAPD
>      Pin config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
>     Pin control: 0x00000000
>            EAPD: 0x00000002 EAPD
>      Output amp: 0x80000000 mute=1 step=0 size=0 offset=0 (0/0dB)
>       Input amp: 0x00270300 mute=0 step=3 size=39 offset=0 (0/30dB)
>     Connections: 2
>           + [DISABLED] <- nid=2 [audio output] (selected)
>           + <- nid=3 [audio output] [DISABLED]
> 
> dev.hdaa.0.nid26_original: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid26_config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid26: pin: Speaker (None) [DISABLED]
>      Widget cap: 0x0040048b PWR UNSOL STEREO
>         Pin cap: 0x00003724 PDC IN VREF[ 50 80 100 GROUND HIZ ]
>      Pin config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
>     Pin control: 0x00000000
>       Input amp: 0x00270300 mute=0 step=3 size=39 offset=0 (0/30dB)
> 
> dev.hdaa.0.nid25_original: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid25_config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid25: pin: Speaker (None) [DISABLED]
>      Widget cap: 0x0040048b PWR UNSOL STEREO
>         Pin cap: 0x00003724 PDC IN VREF[ 50 80 100 GROUND HIZ ]
>      Pin config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
>     Pin control: 0x00000000
>       Input amp: 0x00270300 mute=0 step=3 size=39 offset=0 (0/30dB)
> 
> dev.hdaa.0.nid24_original: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid24_config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid24: pin: Speaker (None) [DISABLED]
>      Widget cap: 0x0040048b PWR UNSOL STEREO
>         Pin cap: 0x00003724 PDC IN VREF[ 50 80 100 GROUND HIZ ]
>      Pin config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
>     Pin control: 0x00000000
>       Input amp: 0x00270300 mute=0 step=3 size=39 offset=0 (0/30dB)
> 
> dev.hdaa.0.nid23: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid22: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid21: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid20_original: 0x90170110 as=1 seq=0 device=Speaker conn=Fixed ctype=Analog loc=Internal color=Unknown misc=1
> dev.hdaa.0.nid20_config: 0x90170110 as=1 seq=0 device=Speaker conn=Fixed ctype=Analog loc=Internal color=Unknown misc=1
> dev.hdaa.0.nid20: pin: Speaker (Fixed)
>      Widget cap: 0x0040058d PWR UNSOL STEREO
>     Association: 0 (0x0001)
>         Pin cap: 0x00010014 PDC OUT EAPD
>      Pin config: 0x90170110 as=1 seq=0 device=Speaker conn=Fixed ctype=Analog loc=Internal color=Unknown misc=1
>     Pin control: 0x00000040 OUT
>            EAPD: 0x00000002 EAPD
>      Output amp: 0x80000000 mute=1 step=0 size=0 offset=0 (0/0dB)
>     Connections: 1
>           + <- nid=2 [audio output]
> 
> dev.hdaa.0.nid19_original: 0x40000000 as=0 seq=0 device=Line-out conn=None ctype=Unknown loc=0x00 color=Unknown misc=0
> dev.hdaa.0.nid19_config: 0x40000000 as=0 seq=0 device=Line-out conn=None ctype=Unknown loc=0x00 color=Unknown misc=0
> dev.hdaa.0.nid19: pin: Line-out (None) [DISABLED]
>      Widget cap: 0x0040040b PWR STEREO
>         Pin cap: 0x00000020 IN
>      Pin config: 0x40000000 as=0 seq=0 device=Line-out conn=None ctype=Unknown loc=0x00 color=Unknown misc=0
>     Pin control: 0x00000000
>       Input amp: 0x00270300 mute=0 step=3 size=39 offset=0 (0/30dB)
> 
> dev.hdaa.0.nid18_original: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid18_config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
> dev.hdaa.0.nid18: pin: Speaker (None) [DISABLED]
>      Widget cap: 0x0040040b PWR STEREO
>         Pin cap: 0x00000020 IN
>      Pin config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
>     Pin control: 0x00000000
>       Input amp: 0x00270300 mute=0 step=3 size=39 offset=0 (0/30dB)
> 
> dev.hdaa.0.nid17: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid16: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid15: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid14: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid13: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid12: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid11: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid10: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid9: audio input [DISABLED]
>      Widget cap: 0x0010051b PWR STEREO
>      Stream cap: 0x00000001 PCM
>         PCM cap: 0x000e0560 16 20 24 bits, 44 48 96 192 KHz
>       Input amp: 0x80023f17 mute=1 step=63 size=2 offset=23 (-17/30dB)
>     Connections: 1
>           + [DISABLED] <- nid=34 [audio mixer] [DISABLED]
> 
> dev.hdaa.0.nid8: audio input [DISABLED]
>      Widget cap: 0x0010051b PWR STEREO
>      Stream cap: 0x00000001 PCM
>         PCM cap: 0x000e0560 16 20 24 bits, 44 48 96 192 KHz
>       Input amp: 0x80023f17 mute=1 step=63 size=2 offset=23 (-17/30dB)
>     Connections: 1
>           + [DISABLED] <- nid=35 [audio mixer] [DISABLED]
> 
> dev.hdaa.0.nid7: audio input [DISABLED]
>      Widget cap: 0x0010051b PWR STEREO
>      Stream cap: 0x00000001 PCM
>         PCM cap: 0x000e0560 16 20 24 bits, 44 48 96 192 KHz
>       Input amp: 0x80023f17 mute=1 step=63 size=2 offset=23 (-17/30dB)
>     Connections: 1
>           + [DISABLED] <- nid=36 [audio selector] [DISABLED]
> 
> dev.hdaa.0.nid6: audio output [DISABLED]
>      Widget cap: 0x00000611 PWR DIGITAL STEREO
>      Stream cap: 0x00000001 PCM
>         PCM cap: 0x000e05e0 16 20 24 bits, 44 48 88 96 192 KHz
> 
> dev.hdaa.0.nid5: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid4: vendor widget [DISABLED]
>      Widget cap: 0x00f00000
> 
> dev.hdaa.0.nid3: audio output [DISABLED]
>      Widget cap: 0x0000041d PWR STEREO
>      Stream cap: 0x00000001 PCM
>         PCM cap: 0x000e0060 16 20 24 bits, 44 48 KHz
>      Output amp: 0x00025757 mute=0 step=87 size=2 offset=87 (-65/0dB)
> 
> dev.hdaa.0.nid2: audio output
>      Widget cap: 0x0000041d PWR STEREO
>     Association: 0 (0x8001)
>             OSS: pcm (pcm)
>      Stream cap: 0x00000001 PCM
>         PCM cap: 0x000e0060 16 20 24 bits, 44 48 KHz
>      Output amp: 0x00025757 mute=0 step=87 size=2 offset=87 (-65/0dB)
> 
> dev.hdaa.0.%parent: hdacc0
> dev.hdaa.0.%pnpinfo: type=0x01 subsystem=0x17aa225d
> dev.hdaa.0.%location: nid=1
> dev.hdaa.0.%driver: hdaa
> dev.hdaa.0.%desc: Realtek (0x0257) Audio Function Group
Comment 2 Mateusz Piotrowski freebsd_committer 2019-02-27 12:34:15 UTC
Here are some interesting parts of a dmesg output after I resume the laptop from suspend:

> hdaa0: Headphones redirection for association 0 nid=33 using unsolicited responses.
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
> hdaa1: Pin sense: nid=3 sense=0xffffffff (connected, ELD valid)
> hdac0: Command timeout on address 2
> hdac0: Command timeout on address 2
Comment 3 Chinmay Pai 2019-05-08 16:05:27 UTC
Running FreeBSD-12-RELEASE on my X1 carbon 6th gen. I am having the same issue. Sounds really weird on both speakers and headphones. It is somewhat crackling, vocals on songs aren't audible at all. Overall, audio is very muffled.

Output for cat /dev/sndstat

> Installed devices:
> pcm0: <Realtek ALC285 (Analog 2.0+HP)> (play) default
> pcm1: <Intel Kabylake (HDMI/DP 8ch)> (play)
> No devices installed from userspace.
Comment 4 Mateusz Piotrowski freebsd_committer 2019-05-09 18:47:32 UTC
Adding

> hint.hdaa.0.nid33.config="as=2 seq=15 device=Headphones conn=Jack misc=0"

to loader.conf does not help.
Comment 5 Alexander Sieg 2019-05-22 19:37:46 UTC
I'm having the same problem on my t420s. It only started today, after working fine for over 3 months. The Audio issue appeared after trying suspend on this machine and even after a full restart and power cycle it does not go a way.

The issue only happens with firefox(8). Other Applications with use snd directly don't have this problem such as cmus(8) and mplayer(8). It may be pulseaudio related.

cat /dev/sndstat
Installed devices:
pcm0: <Realtek (0x0257) (Analog 2.0+HP/2.0)> (play/rec) default
pcm1: <Realtek (0x0257) (Right Analog Mic)> (rec)
pcm2: <Intel Kaby Lake (HDMI/DP 8ch)> (play)
No devices installed from userspace.
Comment 6 Mateusz Piotrowski freebsd_committer 2019-08-24 19:31:14 UTC
Headphones are working just fine on 13.0-CURRENT r350438. I am not sure which commit fixed the issue.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-12-20 02:34:34 UTC
^Triage: 

Since a commit (and resolver) can't be identified, OBE is the more appropriate resolution. If we can otherwise bisect or isolate the change that rectified the issue, we can update the issue accordingly

I see no references to 11.2-RELEASE in this report (original was for 13-CURRENT). Subsequent reports say 12-RELEASE (no exact version)